Function
setRequired
Sets whether or not the option defined by the parameter name (which can be either the short or the long name) is mandatory.
setRequired(parser, optionName [, required])
Include Headers
seqan/arg_parse.h
Parameters

parser | The ArgumentParser object. Types: ArgumentParser
optionName | The identifier of the command line option.
required | Remarks: The default value is true.

Remarks
Note that the empty string is, at least for string options, also a valid string. Hence setting an option to required does not guarantee that the returned string is not empty.
Member of
ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57